Page MenuHomePhabricator

Support wikitext in judgment notes and endorsement comment fields
Closed, ResolvedPublic

Description

Ideally, we can support the full wikitext syntax for freeform text snippets in the Judgment namespace. As a more fallback plan, we would also be okay with some more limited syntax such as the way edit summaries are parsed. These seem to be parsing [[local links]] and nothing else.

Local links should show up in "what links here" (via entries in the links table) and new external links should be run through SpamBlacklist and other hooks.

Event Timeline

awight created this task.Oct 5 2018, 5:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2018, 5:41 PM
awight added a comment.Oct 5 2018, 6:18 PM

Edit summaries are rendered by Linker::formatComment. HTML is stripped except for entities, and newlines are converted to spaces. "Autocomments" like /* section name */ are converted into a section link. Finally, format wiki links and media links, all other wiki markup is ignored.

Change 464737 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/JADE@master] [WIP] messing around, render wikitext

https://gerrit.wikimedia.org/r/464737

awight added a comment.Oct 8 2018, 4:16 AM

My strategy is to render the structured judgment into wikitext, then parse that into HTML using the same code paths which are responsible for rendering and bookkeeping for native wikitext pages.

Harej moved this task from Inbox to Review on the Jade board.Oct 12 2018, 11:08 PM

Change 464737 merged by jenkins-bot:
[mediawiki/extensions/JADE@master] Render Judgment pages as wikitext

https://gerrit.wikimedia.org/r/464737

awight closed this task as Resolved.Oct 18 2018, 7:56 PM
awight removed a project: Patch-For-Review.
awight moved this task from Review to Done on the Machine-Learning-Team (Active Tasks) board.